+ Post New Thread
Results 1 to 10 of 10
  1. #1
    Member level 3
    Points: 804, Level: 6

    Join Date
    Jun 2017
    Location
    near the sea
    Posts
    60
    Helped
    13 / 13
    Points
    804
    Level
    6

    Quartus 19.1 on Ubuntu 18.04 problems with internet and usbblaster

    Hi All, am appealing to anybody who has a similar environment to give me a few tips here :)

    The internet problem is weird, the system default is ffox 70 that runs fine standalone but none of the quartus menu's that would invoke it (help etc) work you just get no response. The same is true even if you set the browser path directly to ffox instead of default. Tried this on the Intel Quartus community and got nothing that worked.

    2nd problem is byteblaster! OK I admit I bought a "compatible" device that is based on an STM32 and buffer chip https://www.ebay.co.uk/itm/Altera-Pr...72.m2749.l2649. Quartus can see it ok BUT when trying to program target get various errors like “Error (209037): JTAG Server can't access selected programming hardware” & “Error (209040): Can't access JTAG chain”.

    Target is QMtech EP4CE15 board https://github.com/ChinaQMTECH/CYCLONE_IV_EP4CE15

    Host is dual core 64 bit intel running Linux 5.2.19

    The only Windows I have access to is XP/SP3 and all the versions of Quartus that support Cyclone IV E are 64 bit :(

    Two other things I can think of this is the Lite version (Licence free) & the help files were installed.
    And another thing, there don't seem to be any log files anywhere except an installation log containing just that.

    •   AltAdvertisement

        
       

  2. #2
    Super Moderator
    Points: 261,989, Level: 100
    Awards:
    1st Helpful Member

    Join Date
    Jan 2008
    Location
    Bochum, Germany
    Posts
    45,790
    Helped
    13918 / 13918
    Points
    261,989
    Level
    100

    Re: Quartus 19.1 on Ubuntu 18.04 problems with internet and usbblaster

    The only Windows I have access to is XP/SP3 and all the versions of Quartus that support Cyclone IV E are 64 bit.
    Definitely wrong. You can use Quartus 13.1 on 32-Bit Windows for FPGA up to Cyclone V.



  3. #3
    Member level 3
    Points: 804, Level: 6

    Join Date
    Jun 2017
    Location
    near the sea
    Posts
    60
    Helped
    13 / 13
    Points
    804
    Level
    6

    Re: Quartus 19.1 on Ubuntu 18.04 problems with internet and usbblaster

    Thank you for your reply..........Unfortunately I discovered on the Intel download site many links were broken for earlier revisions as shown in the following table

    Code dot - [expand]
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    
    13.1 prog   XP32    X   App failed to init properly
    13.0 prog   XP32    X   App failed to init properly
    12.1/sp1 prog   XP32    X   Invalid url at download
    12.1 prog   XP32    X   Invalid url at download
    12.0/sp2 prog   XP32    X   Invalid url at download
    12.0    XP32    X   Invalid url at download
    11.1 prog   XP32    X   Invalid url at download
    11.0/spi    XP32    X   No popup for download
    10.0    XP32    X   No popup for download
    9.1/sp2 XP32    X   Invalid url at download
    9.1 XP32    X   Invalid url at download
    8/sp1 quart XP32    X   Wrong device identified EP3C16

    However 13.1 had a different problem and that was XP complained that "App failed to init properly" I took this to mean it was probably 64 bit software.
    Perhaps you could share a link where either the standalone programmer (preferably) or full Quartus for XP 32 bit can be downloaded ?

    - - - Updated - - -

    Here is a screen shot of a freshly loaded 13.1 failing together with the system details
    Click image for larger version. 

Name:	P1160361.jpg 
Views:	5 
Size:	202.5 KB 
ID:	156727

    I should add the installation appears to execute normally, the above failure only occurs when trying to run the application, in this case standalone programmer.
    Last edited by BradtheRad; 1st December 2019 at 17:52. Reason: Placed report in window



  4. #4
    Super Moderator
    Points: 261,989, Level: 100
    Awards:
    1st Helpful Member

    Join Date
    Jan 2008
    Location
    Bochum, Germany
    Posts
    45,790
    Helped
    13918 / 13918
    Points
    261,989
    Level
    100

    Re: Quartus 19.1 on Ubuntu 18.04 problems with internet and usbblaster

    More likely you have a corrupted Windows XP system than all Intel/Altera downloads are damaged.



    •   AltAdvertisement

        
       

  5. #5
    Member level 3
    Points: 804, Level: 6

    Join Date
    Jun 2017
    Location
    near the sea
    Posts
    60
    Helped
    13 / 13
    Points
    804
    Level
    6

    Re: Quartus 19.1 on Ubuntu 18.04 problems with internet and usbblaster

    Quote Originally Posted by FvM View Post
    More likely you have a corrupted Windows XP system than all Intel/Altera downloads are damaged.
    In what way are you suggesting XP is corrupt when everything else on it works, for example msoffice etc ? The downloads were done on two different machines with the same results!

    Are you telling me you have personally downloaded 13.1 onto XP and have it working ?



  6. #6
    Super Moderator
    Points: 261,989, Level: 100
    Awards:
    1st Helpful Member

    Join Date
    Jan 2008
    Location
    Bochum, Germany
    Posts
    45,790
    Helped
    13918 / 13918
    Points
    261,989
    Level
    100

    Re: Quartus 19.1 on Ubuntu 18.04 problems with internet and usbblaster

    Yes, I have been running Quartus 13.1 under XP for many years. Presently I'm using the 64-bit version under Windows 10 to support older FPGA series.



  7. #7
    Member level 3
    Points: 804, Level: 6

    Join Date
    Jun 2017
    Location
    near the sea
    Posts
    60
    Helped
    13 / 13
    Points
    804
    Level
    6

    Re: Quartus 19.1 on Ubuntu 18.04 problems with internet and usbblaster

    Quote Originally Posted by FvM View Post
    Yes, I have been running Quartus 13.1 under XP for many years. Presently I'm using the 64-bit version under Windows 10 to support older FPGA series.
    Ahh thank you for being specific, maybe crossed wires I was talking about THIRTYTWO BIT machines running XP/SP3.

    Maybe that is the problem, if you load 13.1 into a 64bit XP machine it works, but not a 32 bit XP machine ?



  8. #8
    Super Moderator
    Points: 261,989, Level: 100
    Awards:
    1st Helpful Member

    Join Date
    Jan 2008
    Location
    Bochum, Germany
    Posts
    45,790
    Helped
    13918 / 13918
    Points
    261,989
    Level
    100

    Re: Quartus 19.1 on Ubuntu 18.04 problems with internet and usbblaster

    As far I'm aware of, there's no 64-bit code running with Quartus 13 under WinXP. But I didn't check specifically.

    USB Blaster driver and JTAG stack components are definitely 32-bit.



    •   AltAdvertisement

        
       

  9. #9
    Member level 3
    Points: 804, Level: 6

    Join Date
    Jun 2017
    Location
    near the sea
    Posts
    60
    Helped
    13 / 13
    Points
    804
    Level
    6

    Re: Quartus 19.1 on Ubuntu 18.04 problems with internet and usbblaster

    Well what I can say now is Quartus 12.0/sp2 definitely runs under XP/sp3 on a 32 bit machine as I have had it running this afternoon thanks to a gift of said software from a kind person (AFIK the Intel site links are still broken) so at least I have been able to test my target hardware and usb byteblaster removing many uncertainties from the original Linux problem. I have also received some more information about that too and if I succeed in getting it going I will post another update here.



  10. #10
    Member level 3
    Points: 804, Level: 6

    Join Date
    Jun 2017
    Location
    near the sea
    Posts
    60
    Helped
    13 / 13
    Points
    804
    Level
    6

    Re: Quartus 19.1 on Ubuntu 18.04 problems with internet and usbblaster

    Ghaa to old to edit, anyway the Linux incantation to make USB-BLASTER work doesnt, here it is for anybody interested ----

    create the file /etc/udev/rules.d/51-usbblaster.rules with the following contents:
    SUBSYSTEM=="usb", ENV{DEVTYPE}=="usb_device", ATTR{idVendor}=="09fb", ATTR{idProduct}=="6001", MODE="0666", NAME="bus/usb/$env{BUSNUM}/$env{DEVNUM}", RUN+="/bin/chmod 0666 %c"

    use lsusb to discover your particular device in case its different.



--[[ ]]--